package com.mobai.vehicle.event.factory;

import com.mobai.utils.RedisService;
import com.mobai.vehicle.EventActive;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 故障报警工厂
 * @author Saisai
 * @className BugMalfunctionFactory
 * @description 描述
 * @date 2024/6/20 14:42
 */

@Log4j2
@Component
public class IndexWaringFactory implements EventActive {

    @Autowired
    private RedisService redisService;


    private IndexWaringFactory(){}

    public static IndexWaringFactory getInstance(){
        return new IndexWaringFactory();
    }

    @Override
    public void activeEvent(Map<String,String> vehicle, RedisService redisService) {

    }
}
