package com.mobai.vehicle.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mobai.bugMalfuntion.BugMalfunctionInfo;
import com.mobai.domain.EventReq;
import com.mobai.domain.Result;
import com.mobai.domain.VehicleEvent;

/**
 * @ClassName EventsService
 * @Description 描述
 * @Author Saisai
 * @Date 2024/6/18 11:36
 */
public interface EventsService extends IService<VehicleEvent> {

    // 处理事件
    Result activeEvent(EventReq req);

    // 更新缓存中的事件
//    public VehicleEvent updEvents(VehicleEvent event);


    // 查询缓存中的事件
    public VehicleEvent getEvents(String vin);


    // 查询缓存中的bug事件
//    public BugMalfunctionInfo getBug(BugMalfunctionInfo bugInfo);


}
