package com.mobai.bugMalfuntion;

/**
 * @ClassName FaultCode
 * @Description
 * @Author Saisai
 * @Date 2024/6/20 17:20
 */
public enum FaultCode {
    VEHICLE("GZ001"),
    CHARGING("GZ002"),
    OPERATING("GZ003"),
    SOC("GZ004"),
    CHARGING_ENERGY("GZ005"),
    DRIVE_MOTOR("GZ006"),
    POSITION("GZ007"),
    EAS("GZ008"),
    PTC("GZ009"),
    EPS("GZ010"),
    ABS("GZ011"),
    MCU("GZ012"),
    HEATING("GZ013"),
    BATTERY("GZ014"),
    BATTERY_INSULATION("GZ015"),
    DCDC("GZ016"),
    CHG("GZ017");

    private String string;

    FaultCode() {
    }

    FaultCode(String code) {
        this.string = code;
    }

    //获取string的值
    public String getString() {
        return string;
    }

}
