package com.mobai.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: Mqtt服务器模型
 * @Date 2024-3-26 上午 09:53
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttServerModel {

    /**
     * MQTT服务节点
     */
    private String broker;

    /**
     * MQTT订阅主题
     */
    private String topic;
}
