package com.mobai.vehicle.event.factory;

import com.mobai.domain.Vehicle;
import com.mobai.utils.RedisService;
import com.mobai.vehicle.EventActive;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 电子围栏工厂
 * @author Saisai
 * @className BugMalfunctionFactory
 * @description 描述
 * @date 2024/6/20 14:42
 */
@Component
public class ElectronicFenceFactory implements EventActive {
    private ElectronicFenceFactory(){}

    public static ElectronicFenceFactory getInstance(){
        return new ElectronicFenceFactory();
    }

    @Override
    public void activeEvent(Map<String,String> vehicle, RedisService redisService) {

    }
}
